#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - clang9 installation
#
# Creation   :  2020-12-23 holbru
# Last update:  $Id: install.sh 82607 2020-12-23 18:59:54Z hbfl $
#
# Copyright (c) 2020-2021 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=clang9

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
/usr/sbin/update-alternatives \
   --install /usr/bin/clang clang /usr/bin/clang-9.0.1 901 \
   --slave /usr/bin/clangd clangd /usr/bin/clangd-9.0.1 \
   --slave /usr/bin/c-index-test c-index-test /usr/bin/c-index-test-9.0.1 \
   --slave /usr/bin/clang++ clang++ /usr/bin/clang++-9.0.1 \
   --slave /usr/bin/clang-apply-replacements clang-apply-replacements /usr/bin/clang-apply-replacements-9.0.1 \
   --slave /usr/bin/clang-change-namespace clang-change-namespace /usr/bin/clang-change-namespace-9.0.1 \
   --slave /usr/bin/clang-check clang-check /usr/bin/clang-check-9.0.1 \
   --slave /usr/bin/clang-cl clang-cl /usr/bin/clang-cl-9.0.1 \
   --slave /usr/bin/clang-doc clang-doc /usr/bin/clang-doc-9.0.1 \
   --slave /usr/bin/clang-extdef-mapping clang-extdef-mapping /usr/bin/clang-extdef-mapping-9.0.1 \
   --slave /usr/bin/clang-format clang-format /usr/bin/clang-format-9.0.1 \
   --slave /usr/bin/clang-format-diff clang-format-diff /usr/bin/clang-format-diff-9.0.1 \
   --slave /usr/bin/clang-import-test clang-import-test /usr/bin/clang-import-test-9.0.1 \
   --slave /usr/bin/clang-include-fixer clang-include-fixer /usr/bin/clang-include-fixer-9.0.1 \
   --slave /usr/bin/clang-offload-bundler clang-offload-bundler /usr/bin/clang-offload-bundler-9.0.1 \
   --slave /usr/bin/clang-query clang-query /usr/bin/clang-query-9.0.1 \
   --slave /usr/bin/clang-refactor clang-refactor /usr/bin/clang-refactor-9.0.1 \
   --slave /usr/bin/clang-rename clang-rename /usr/bin/clang-rename-9.0.1 \
   --slave /usr/bin/clang-reorder-fields clang-reorder-fields /usr/bin/clang-reorder-fields-9.0.1 \
   --slave /usr/bin/clang-scan-deps clang-scan-deps /usr/bin/clang-scan-deps-9.0.1 \
   --slave /usr/bin/clang-tidy clang-tidy /usr/bin/clang-tidy-9.0.1 \
   --slave /usr/bin/clang-tidy-diff clang-tidy-diff /usr/bin/clang-tidy-diff-9.0.1 \
   --slave /usr/bin/diagtool diagtool /usr/bin/diagtool-9.0.1 \
   --slave /usr/bin/find-all-symbols find-all-symbols /usr/bin/find-all-symbols-9.0.1 \
   --slave /usr/bin/git-clang-format git-clang-format /usr/bin/git-clang-format-9.0.1 \
   --slave /usr/bin/modularize modularize /usr/bin/modularize-9.0.1 \
   --slave /usr/bin/run-clang-tidy run-clang-tidy /usr/bin/run-clang-tidy-9.0.1 \
   --slave /usr/share/bash-completion/completions/clang.sh clang-bash-autocomplete.sh /usr/lib/clang/9.0.1/bash-autocomplete.sh

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
